using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class DeviceInfor
{
    /// <summary>
    /// 设备类型
    /// </summary>
    [Header("设备类型")] public DeviceType devtype;
    /// <summary>
    /// 端口位置集
    /// </summary>
    [Header("端口位置集")] public List<Transform> ports=new List<Transform>();
    /// <summary>
    /// 区域
    /// </summary>
    [Header("区域")] public string area;
    /// <summary>
    /// 列
    /// </summary>
    [Header("列")] public string row;
    /// <summary>
    /// 层
    /// </summary>
    [Header("层")] public string tier;

    /// <summary>
    /// 当前设备所有端口线的信息
    /// </summary>
    public List<List<string>> lineInfors;
}

/// <summary>
/// 当前设备类型
/// </summary>
public enum DeviceType
{
    dev1, dev2, dev3
}

public class Contact
{
    public List<string> strings;
}